Index: tests/regression/Domain/RepeatBox/post/ec.data
===================================================================
--- tests/regression/Domain/RepeatBox/post/ec.data	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ tests/regression/Domain/RepeatBox/post/ec.data	(revision 08a0f52718bbbbe42fd8618c1e90effd0fc6eabb)
@@ -1,3 +1,4 @@
 # ATOMDATA	Id	type	x=3	u=3	neighbors=4
+# Box	40	0	0	0	40	0	0	0	40
 1	O	7.36404	5	5.01	0	0	0	4	0	0	0	
 2	OS	5.50419	6.07129	5	0	0	0	4	5	0	0	
Index: tests/regression/Domain/RepeatBox/pre/ec.data
===================================================================
--- tests/regression/Domain/RepeatBox/pre/ec.data	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ tests/regression/Domain/RepeatBox/pre/ec.data	(revision 08a0f52718bbbbe42fd8618c1e90effd0fc6eabb)
@@ -1,3 +1,4 @@
 # ATOMDATA	Id	type	x=3	u=3	neighbors=4
+# Box	20	0	0	0	20	0	0	0	20
 1	O	7.36404	5	5.01	0	0	0	4	0	0	0	
 2	OS	5.50419	6.07129	5	0	0	0	4	5	0	0	
Index: tests/regression/Filling/FillVoidWithMolecule/post/tensid.data
===================================================================
--- tests/regression/Filling/FillVoidWithMolecule/post/tensid.data	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ tests/regression/Filling/FillVoidWithMolecule/post/tensid.data	(revision 08a0f52718bbbbe42fd8618c1e90effd0fc6eabb)
@@ -1,3 +1,4 @@
 # ATOMDATA	Id	name	resName	chainID	x=3	type	neighbors=4	charge
+# Box	30	0	0	0	30	0	0	0	30
 1	NA	SLES	1	17.397	20.231	11.737	Na	0	0	0	0	1.000000e+00	
 2	S	SLES	1	16.282	18.88	14.208	S	3	4	5	6	1.330000e+00	
Index: tests/regression/Filling/FillVoidWithMolecule/pre/tensid.data
===================================================================
--- tests/regression/Filling/FillVoidWithMolecule/pre/tensid.data	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ tests/regression/Filling/FillVoidWithMolecule/pre/tensid.data	(revision 08a0f52718bbbbe42fd8618c1e90effd0fc6eabb)
@@ -1,3 +1,4 @@
 # ATOMDATA	Id	name	resName	chainID	x=3	type	neighbors=4	charge
+# Box	30	0	0	0	30	0	0	0	30
 1	NA	SLES	1	17.397	20.231	11.737	Na	0	0	0	0	1.000000e+00	
 2	S	SLES	1	16.282	18.88	14.208	S	3	4	5	6	1.330000e+00	
Index: tests/regression/Filling/FillVoidWithMolecule/testsuite-fill-void-with-tenside-molecule.at
===================================================================
--- tests/regression/Filling/FillVoidWithMolecule/testsuite-fill-void-with-tenside-molecule.at	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ tests/regression/Filling/FillVoidWithMolecule/testsuite-fill-void-with-tenside-molecule.at	(revision 08a0f52718bbbbe42fd8618c1e90effd0fc6eabb)
@@ -15,5 +15,4 @@
 
 AT_SETUP([Filling - filling void space besides tenside micelle in box with Undo])
-AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([filling fill-void undo])
 
@@ -23,5 +22,5 @@
 AT_CHECK([chmod u+w $file], 0)
 AT_CHECK([../../molecuilder -i $file -B "30,0,30,0,0,30" --fill-void water.data --distances "3.1, 3.1, 3.1" --distance-to-molecule "2.1" --DoRotate 0 --undo], 0, [stdout], [stderr])
-AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Filling/FillVoidWithMolecule/post/tensid.data], 0, [ignore], [ignore])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Filling/FillVoidWithMolecule/pre/tensid.data], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ tests/regression/Makefile.am	(revision 08a0f52718bbbbe42fd8618c1e90effd0fc6eabb)
@@ -61,4 +61,5 @@
 	$(srcdir)/Filling/SuspendInWater/testsuite-suspend-in-water.at \
 	$(srcdir)/Filling/FillVoidWithMolecule/testsuite-fill-void-with-molecule.at \
+	$(srcdir)/Filling/FillVoidWithMolecule/testsuite-fill-void-with-tenside-molecule.at \
 	$(srcdir)/Fragmentation/testsuite-fragmentation.at \
 	$(srcdir)/Fragmentation/FragmentMolecule/testsuite-fragmentation-fragment-molecule.at \
Index: tests/regression/Molecules/Copy/post/tensid-undo.data
===================================================================
--- tests/regression/Molecules/Copy/post/tensid-undo.data	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ tests/regression/Molecules/Copy/post/tensid-undo.data	(revision 08a0f52718bbbbe42fd8618c1e90effd0fc6eabb)
@@ -1,3 +1,4 @@
 # ATOMDATA	Id	name	resName	chainID	x=3	type	neighbors=4	charge
+# Box	20	0	0	0	20	0	0	0	20
 1	NA	SLES	1	32.397	35.231	26.737	NA	0	0	0	0	1.000000e+00	
 2	S	SLES	1	31.282	33.88	29.208	SL	3	4	5	6	1.330000e+00	
Index: tests/regression/Molecules/Copy/post/tensid.data
===================================================================
--- tests/regression/Molecules/Copy/post/tensid.data	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ tests/regression/Molecules/Copy/post/tensid.data	(revision 08a0f52718bbbbe42fd8618c1e90effd0fc6eabb)
@@ -1,3 +1,4 @@
 # ATOMDATA	Id	name	resName	chainID	x=3	type	neighbors=4	charge
+# Box	20	0	0	0	20	0	0	0	20
 1	NA	SLES	1	32.397	35.231	26.737	NA	0	0	0	0	1.000000e+00	
 2	S	SLES	1	31.282	33.88	29.208	SL	3	4	5	6	1.330000e+00	
Index: tests/regression/Molecules/Copy/pre/tensid.data
===================================================================
--- tests/regression/Molecules/Copy/pre/tensid.data	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ tests/regression/Molecules/Copy/pre/tensid.data	(revision 08a0f52718bbbbe42fd8618c1e90effd0fc6eabb)
@@ -1,3 +1,4 @@
 # ATOMDATA	Id	name	resName	chainID	x=3	type	neighbors=4	charge
+# Box	20	0	0	0	20	0	0	0	20
 1	NA	SLES	1	32.397	35.231	26.737	NA	0	0	0	0	1.000000e+00	
 2	S	SLES	1	31.282	33.88	29.208	SL	3	4	5	6	1.330000e+00	
Index: tests/regression/Molecules/CreateMicelle/post/tensid.data
===================================================================
--- tests/regression/Molecules/CreateMicelle/post/tensid.data	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ tests/regression/Molecules/CreateMicelle/post/tensid.data	(revision 08a0f52718bbbbe42fd8618c1e90effd0fc6eabb)
@@ -1,3 +1,4 @@
 # ATOMDATA	Id	name	resName	chainID	x=3	type	neighbors=4	charge
+# Box	20	0	0	0	20	0	0	0	20
 1	NA	SLES	1	-4.78921	-8.81932	-49.4988	NA	0	0	0	0	1.000000e+00	
 2	S	SLES	1	-3.65465	-6.08892	-48.8416	SL	3	4	5	6	1.330000e+00	
Index: tests/regression/Molecules/CreateMicelle/pre/tensid.data
===================================================================
--- tests/regression/Molecules/CreateMicelle/pre/tensid.data	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ tests/regression/Molecules/CreateMicelle/pre/tensid.data	(revision 08a0f52718bbbbe42fd8618c1e90effd0fc6eabb)
@@ -1,3 +1,4 @@
 # ATOMDATA	Id	name	resName	chainID	x=3	type	neighbors=4	charge
+# Box	20	0	0	0	20	0	0	0	20
 1	NA	SLES	1	32.397	35.231	26.737	NA	0	0	0	0	1.000000e+00	
 2	S	SLES	1	31.282	33.88	29.208	SL	3	4	5	6	1.330000e+00	
Index: tests/regression/Parser/Tremolo-SetAtomdata/post/argon.data
===================================================================
--- tests/regression/Parser/Tremolo-SetAtomdata/post/argon.data	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ tests/regression/Parser/Tremolo-SetAtomdata/post/argon.data	(revision 08a0f52718bbbbe42fd8618c1e90effd0fc6eabb)
@@ -1,3 +1,4 @@
 # ATOMDATA	type	x=3
+# Box	20	0	0	0	20	0	0	0	20
 Ar	4.72977	8	8	
 Ar	7.3	8	8	
